Bug 998168 - Duplicated documentation with conflicts
Duplicated documentation with conflicts
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mathgl (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dmitrij S. Kryzhevich
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: F20UnversionedDocDirs
  Show dependency treegraph
 
Reported: 2013-08-17 17:48 EDT by Michael Schwendt
Modified: 2014-02-05 23:00 EST (History)
2 users (show)

See Also:
Fixed In Version: mathgl-2.2-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-20 23:43:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2013-08-17 17:48:10 EDT
For the Fedora 20 unversioned docdirs change,

  https://fedoraproject.org/wiki/Changes/UnversionedDocdirs

the mathgl package will need a fix, as currently it duplicates the
documentation from the -doc subpackage in the base package. This is because
%doc now picks up files stored in %{_docdir}/%{name}.

[...]

The duplicated doc files currently also cause a conflict on e.g. i686, because
the noarch -doc package may have been built on a different arch.
Comment 1 Dmitrij S. Kryzhevich 2013-08-18 23:52:09 EDT
But it does not.

Every package contain uniq files. Place them in one dir - and nothing will be broken. It will be done automatically by new %doc macros.

As for multylib. The binary packages, that are contain executables, can't be in the system 32 and 64 both, already can't. -doc subpackage is noarch one and would not be installed again.

So. This change does not affect mathgl.

And thanks for tracking for mathgl.
Comment 2 Michael Schwendt 2013-08-19 03:21:49 EDT
The packages do need a fix.

Also notice that this is _after_ the F20 mass-rebuild for %_pkgdocdir already.

=> mathgl-2.1.2-11.fc20.src.rpm
=> mathgl-doc-2.1.2-11.fc20.noarch in fedora-development-i386
  File conflict with: mathgl-2.1.2-11.fc20.i686
     /usr/share/doc/mathgl/mathgl_en.pdf
     /usr/share/doc/mathgl/mathgl_en/mathgl_en_88.html
     /usr/share/doc/mathgl/mathgl_en/mathgl_en_89.html
     /usr/share/doc/mathgl/mathgl_en/mathgl_en_90.html
     /usr/share/doc/mathgl/mgl_en.html
     /usr/share/doc/mathgl/png/alpha.png
     /usr/share/doc/mathgl/png/area.png
     /usr/share/doc/mathgl/png/aspect.png
     /usr/share/doc/mathgl/png/axial.png
     /usr/share/doc/mathgl/png/axis.png
     /usr/share/doc/mathgl/png/barh.png
     /usr/share/doc/mathgl/png/bars.png
     /usr/share/doc/mathgl/png/belt.png
     /usr/share/doc/mathgl/png/box.png
     /usr/share/doc/mathgl/png/boxplot.png
     /usr/share/doc/mathgl/png/boxs.png
     /usr/share/doc/mathgl/png/candle.png
     /usr/share/doc/mathgl/png/chart.png
     /usr/share/doc/mathgl/png/cloud.png
     /usr/share/doc/mathgl/png/colorbar.png
     /usr/share/doc/mathgl/png/combined.png
     /usr/share/doc/mathgl/png/cones.png
     /usr/share/doc/mathgl/png/cont.png
     /usr/share/doc/mathgl/png/cont_xyz.png
     /usr/share/doc/mathgl/png/conta.png
     /usr/share/doc/mathgl/png/contd.png
     /usr/share/doc/mathgl/png/contf.png
     /usr/share/doc/mathgl/png/contf_xyz.png
     /usr/share/doc/mathgl/png/contfa.png
     /usr/share/doc/mathgl/png/contv.png
     /usr/share/doc/mathgl/png/curvcoor.png
     /usr/share/doc/mathgl/png/cut.png
     /usr/share/doc/mathgl/png/dat_diff.png
     /usr/share/doc/mathgl/png/dat_extra.png
     /usr/share/doc/mathgl/png/dens.png
     /usr/share/doc/mathgl/png/dens_xyz.png
     /usr/share/doc/mathgl/png/densa.png
     /usr/share/doc/mathgl/png/dew.png
     /usr/share/doc/mathgl/png/dots.png
     /usr/share/doc/mathgl/png/error.png
     /usr/share/doc/mathgl/png/fall.png
     /usr/share/doc/mathgl/png/fit.png
     /usr/share/doc/mathgl/png/flow.png
     /usr/share/doc/mathgl/png/fog.png
     /usr/share/doc/mathgl/png/grad.png
     /usr/share/doc/mathgl/png/hist.png
     /usr/share/doc/mathgl/png/inplot.png
     /usr/share/doc/mathgl/png/label.png
     /usr/share/doc/mathgl/png/legend.png
     /usr/share/doc/mathgl/png/loglog.png
     /usr/share/doc/mathgl/png/map.png
     /usr/share/doc/mathgl/png/mesh.png
     /usr/share/doc/mathgl/png/mirror.png
     /usr/share/doc/mathgl/png/molecule.png
     /usr/share/doc/mathgl/png/param1.png
     /usr/share/doc/mathgl/png/param2.png
     /usr/share/doc/mathgl/png/param3.png
     /usr/share/doc/mathgl/png/paramv.png
     /usr/share/doc/mathgl/png/parser.png
     /usr/share/doc/mathgl/png/pde.png
     /usr/share/doc/mathgl/png/pipe.png
     /usr/share/doc/mathgl/png/plot.png
     /usr/share/doc/mathgl/png/primitives.png
     /usr/share/doc/mathgl/png/projection.png
     /usr/share/doc/mathgl/png/projection5.png
     /usr/share/doc/mathgl/png/qo2d.png
     /usr/share/doc/mathgl/png/radar.png
     /usr/share/doc/mathgl/png/region.png
     /usr/share/doc/mathgl/png/schemes.png
     /usr/share/doc/mathgl/png/several_light.png
     /usr/share/doc/mathgl/png/solve.png
     /usr/share/doc/mathgl/png/stem.png
     /usr/share/doc/mathgl/png/step.png
     /usr/share/doc/mathgl/png/stereo.png
     /usr/share/doc/mathgl/png/stfa.png
     /usr/share/doc/mathgl/png/surf.png
     /usr/share/doc/mathgl/png/surf3.png
     /usr/share/doc/mathgl/png/surf3a.png
     /usr/share/doc/mathgl/png/surf3c.png
     /usr/share/doc/mathgl/png/surfa.png
     /usr/share/doc/mathgl/png/surfc.png
     /usr/share/doc/mathgl/png/table.png
     /usr/share/doc/mathgl/png/tape.png
     /usr/share/doc/mathgl/png/tens.png
     /usr/share/doc/mathgl/png/ternary.png
     /usr/share/doc/mathgl/png/ticks.png
     /usr/share/doc/mathgl/png/tile.png
     /usr/share/doc/mathgl/png/tiles.png
     /usr/share/doc/mathgl/png/torus.png
     /usr/share/doc/mathgl/png/traj.png
     /usr/share/doc/mathgl/png/triangulation.png
     /usr/share/doc/mathgl/png/triplot.png
     /usr/share/doc/mathgl/png/tube.png
     /usr/share/doc/mathgl/png/type0.png
     /usr/share/doc/mathgl/png/type1.png
     /usr/share/doc/mathgl/png/type2.png
     /usr/share/doc/mathgl/png/vect.png
     /usr/share/doc/mathgl/png/vecta.png
     /usr/share/doc/mathgl/png/venn.png

=> mathgl-2.1.2-11.fc20.src.rpm
=> mathgl-2.1.2-11.fc20.i686 in fedora-development-i386
  File conflict with: mathgl-doc-2.1.2-11.fc20.noarch
     /usr/share/doc/mathgl/mathgl_en.pdf
     /usr/share/doc/mathgl/mathgl_en/mathgl_en_88.html
     /usr/share/doc/mathgl/mathgl_en/mathgl_en_89.html
     /usr/share/doc/mathgl/mathgl_en/mathgl_en_90.html
     /usr/share/doc/mathgl/mgl_en.html
     /usr/share/doc/mathgl/png/alpha.png
     /usr/share/doc/mathgl/png/area.png
     /usr/share/doc/mathgl/png/aspect.png
     /usr/share/doc/mathgl/png/axial.png
     /usr/share/doc/mathgl/png/axis.png
     /usr/share/doc/mathgl/png/barh.png
     /usr/share/doc/mathgl/png/bars.png
     /usr/share/doc/mathgl/png/belt.png
     /usr/share/doc/mathgl/png/box.png
     /usr/share/doc/mathgl/png/boxplot.png
     /usr/share/doc/mathgl/png/boxs.png
     /usr/share/doc/mathgl/png/candle.png
     /usr/share/doc/mathgl/png/chart.png
     /usr/share/doc/mathgl/png/cloud.png
     /usr/share/doc/mathgl/png/colorbar.png
     /usr/share/doc/mathgl/png/combined.png
     /usr/share/doc/mathgl/png/cones.png
     /usr/share/doc/mathgl/png/cont.png
     /usr/share/doc/mathgl/png/cont_xyz.png
     /usr/share/doc/mathgl/png/conta.png
     /usr/share/doc/mathgl/png/contd.png
     /usr/share/doc/mathgl/png/contf.png
     /usr/share/doc/mathgl/png/contf_xyz.png
     /usr/share/doc/mathgl/png/contfa.png
     /usr/share/doc/mathgl/png/contv.png
     /usr/share/doc/mathgl/png/curvcoor.png
     /usr/share/doc/mathgl/png/cut.png
     /usr/share/doc/mathgl/png/dat_diff.png
     /usr/share/doc/mathgl/png/dat_extra.png
     /usr/share/doc/mathgl/png/dens.png
     /usr/share/doc/mathgl/png/dens_xyz.png
     /usr/share/doc/mathgl/png/densa.png
     /usr/share/doc/mathgl/png/dew.png
     /usr/share/doc/mathgl/png/dots.png
     /usr/share/doc/mathgl/png/error.png
     /usr/share/doc/mathgl/png/fall.png
     /usr/share/doc/mathgl/png/fit.png
     /usr/share/doc/mathgl/png/flow.png
     /usr/share/doc/mathgl/png/fog.png
     /usr/share/doc/mathgl/png/grad.png
     /usr/share/doc/mathgl/png/hist.png
     /usr/share/doc/mathgl/png/inplot.png
     /usr/share/doc/mathgl/png/label.png
     /usr/share/doc/mathgl/png/legend.png
     /usr/share/doc/mathgl/png/loglog.png
     /usr/share/doc/mathgl/png/map.png
     /usr/share/doc/mathgl/png/mesh.png
     /usr/share/doc/mathgl/png/mirror.png
     /usr/share/doc/mathgl/png/molecule.png
     /usr/share/doc/mathgl/png/param1.png
     /usr/share/doc/mathgl/png/param2.png
     /usr/share/doc/mathgl/png/param3.png
     /usr/share/doc/mathgl/png/paramv.png
     /usr/share/doc/mathgl/png/parser.png
     /usr/share/doc/mathgl/png/pde.png
     /usr/share/doc/mathgl/png/pipe.png
     /usr/share/doc/mathgl/png/plot.png
     /usr/share/doc/mathgl/png/primitives.png
     /usr/share/doc/mathgl/png/projection.png
     /usr/share/doc/mathgl/png/projection5.png
     /usr/share/doc/mathgl/png/qo2d.png
     /usr/share/doc/mathgl/png/radar.png
     /usr/share/doc/mathgl/png/region.png
     /usr/share/doc/mathgl/png/schemes.png
     /usr/share/doc/mathgl/png/several_light.png
     /usr/share/doc/mathgl/png/solve.png
     /usr/share/doc/mathgl/png/stem.png
     /usr/share/doc/mathgl/png/step.png
     /usr/share/doc/mathgl/png/stereo.png
     /usr/share/doc/mathgl/png/stfa.png
     /usr/share/doc/mathgl/png/surf.png
     /usr/share/doc/mathgl/png/surf3.png
     /usr/share/doc/mathgl/png/surf3a.png
     /usr/share/doc/mathgl/png/surf3c.png
     /usr/share/doc/mathgl/png/surfa.png
     /usr/share/doc/mathgl/png/surfc.png
     /usr/share/doc/mathgl/png/table.png
     /usr/share/doc/mathgl/png/tape.png
     /usr/share/doc/mathgl/png/tens.png
     /usr/share/doc/mathgl/png/ternary.png
     /usr/share/doc/mathgl/png/ticks.png
     /usr/share/doc/mathgl/png/tile.png
     /usr/share/doc/mathgl/png/tiles.png
     /usr/share/doc/mathgl/png/torus.png
     /usr/share/doc/mathgl/png/traj.png
     /usr/share/doc/mathgl/png/triangulation.png
     /usr/share/doc/mathgl/png/triplot.png
     /usr/share/doc/mathgl/png/tube.png
     /usr/share/doc/mathgl/png/type0.png
     /usr/share/doc/mathgl/png/type1.png
     /usr/share/doc/mathgl/png/type2.png
     /usr/share/doc/mathgl/png/vect.png
     /usr/share/doc/mathgl/png/vecta.png
     /usr/share/doc/mathgl/png/venn.png
Comment 3 Michael Schwendt 2013-08-19 03:23:36 EDT
The duplicate files in the packages can easily be verified manually, too:
http://koji.fedoraproject.org/koji/buildinfo?buildID=456308
Comment 4 Dmitrij S. Kryzhevich 2013-08-19 05:43:06 EDT
Interesting. mathgl-2.1.2-11 must not contain those files. %doc macros packed everything it founds in /usr/share/doc/%name.

Ok. Thanks again.
Comment 5 Dmitrij S. Kryzhevich 2013-08-20 04:58:41 EDT
http://koji.fedoraproject.org/koji/taskinfo?taskID=5832081

The only way that came into my mind is to use %exclude in %files section. But it works. But it is a hack. I just don't know how it could be done better.
Comment 6 Michael Schwendt 2013-08-20 05:34:13 EDT
> %doc macros packed everything it founds in /usr/share/doc/%name.

Yes, there has always been a conflict between using %doc for local files and also installing into its docdir manually. For mathgl, which installs into an unversioned docdir already, the conflict is new.

[...]

There's an ancient __tmp_docs trick for avoid a %doc conflict, but it needs to be adjusted for Fedora > 19 like this:

  %install
  ...
  %if 0%{?fedora} > 19
  rm -rf __tmp_docs ; mkdir __tmp_docs
  mv %{buildroot}%{_docdir}/%{name} __tmp_docs
  %endif

  %files doc
  %if 0%{?fedora} > 19
  %doc __tmp_docs/%{name}/*
  %else
  %{_docdir}/%{name}/
  %endif
Comment 7 Dmitrij S. Kryzhevich 2013-08-20 08:48:55 EDT
%doc for f20 will place documentation into the /usr/share/doc/mathgl-doc dir. Works, but not good. So, it would be a lot of %exclude.
Comment 8 Michael Schwendt 2013-08-20 10:27:04 EDT
There wouldn't be any %excludes, just the separate "mathgl-doc" dir for the -doc package.

I understand that installing everything into a single /usr/share/doc/mathgl dir looks cleaner, but with RPM that implies that when splitting into subpackages, the %files sections may get more complicated.

For example: Even if the few %doc files in the main package were copied to %{buildroot}%{_docdir}/%{name} in %install and included in %files with their full path names, i.e. %{_docdir}/%{name}/COPYING and so on, instead of using %doc, that wouldn't help much with the -doc subpackage. That one installs too many individual files into the top mathgl docdir, where no suitable wildcard could include them all. One could not avoid including them with 5-6 lines (for png, pdf, mathgl_en subdirs and so on).
Comment 9 Fedora End Of Life 2013-09-16 12:54:38 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 10 Dmitrij S. Kryzhevich 2014-01-20 23:43:55 EST
Fixed for rawhide. Main repo - comming soon.
See http://koji.fedoraproject.org/koji/buildinfo?buildID=491478 for details.
Comment 11 Fedora Update System 2014-01-28 04:25:35 EST
mathgl-2.2-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mathgl-2.2-2.fc20
Comment 12 Fedora Update System 2014-02-05 23:00:52 EST
mathgl-2.2-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.